### Class

# Gtk TextMark

since: 4.0

#### Description [src]

    class Gtk.TextMark : GObject.Object
    {
      /* No available fields */
    }

A `GtkTextMark` is a position in a `GtkTextbuffer` that is preserved across modifications.

You may wish to begin by reading the text widget conceptual overview, which gives an overview of all the objects and data types related to the text widget and how they work together.

A `GtkTextMark` is like a bookmark in a text buffer; it preserves a position in the text. You can convert the mark to an iterator using `gtk_text_buffer_get_iter_at_mark()`. Unlike iterators, marks remain valid across buffer mutations, because their behavior is defined when text is inserted or deleted. When text containing a mark is deleted, the mark remains in the position originally occupied by the deleted text. When text is inserted at a mark, a mark with “left gravity” will be moved to the beginning of the newly-inserted text, and a mark with “right gravity” will be moved to the end.

Note that “left” and “right” here refer to logical direction (left is the toward the start of the buffer); in some languages such as Hebrew the logically-leftmost text is not actually on the left when displayed.

Marks are reference counted, but the reference count only controls the validity of the memory; marks can be deleted from the buffer at any time with `gtk_text_buffer_delete_mark()`. Once deleted from the buffer, a mark is essentially useless.

Marks optionally have names; these can be convenient to avoid passing the `GtkTextMark` object around.

Marks are typically created using the `gtk_text_buffer_create_mark()` function.

Available since: 4.0

#### Ancestors

- GObject

#### Constructors

###### gtk_text_mark_new

Creates a text mark.

since: 4.0

#### Instance methods

###### gtk_text_mark_get_buffer

Gets the buffer this mark is located inside.

since: 4.0

###### gtk_text_mark_get_deleted

Returns `TRUE` if the mark has been removed from its buffer.

since: 4.0

###### gtk_text_mark_get_left_gravity

Determines whether the mark has left gravity.

since: 4.0

###### gtk_text_mark_get_name

Returns the mark name.

since: 4.0

###### gtk_text_mark_get_visible

Returns `TRUE` if the mark is visible.

since: 4.0

###### gtk_text_mark_set_visible

No description available.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.TextMark:left-gravity

Whether the mark has left gravity.

since: 4.0

###### Gtk.TextMark:name

The name of the mark or `NULL` if the mark is anonymous.

since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkTextMarkClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.